---
updatedAt: 2026-09-02T12:20:31.000Z
agentTools:
  projectIndex: https://docs.foxpass.com/llms.txt
---

# GET /users/{username}/sshkeys/

Get SSH keys for a given user

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api-instructions",
    "version": "3.2"
  },
  "servers": [
    {
      "url": "https://api.foxpass.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "x-bearer-format": "token"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/users/{username}/sshkeys/": {
      "get": {
        "summary": "GET /users/{username}/sshkeys/",
        "description": "Get SSH keys for a given user",
        "operationId": "usersusernamesshkeys-get",
        "parameters": [
          {
            "name": "username",
            "in": "path",
            "description": "username",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\"status\": \"ok\", \"data\": [{\"name\": \"Aren's MacBook\", \"key\": \"ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDiMvwph/GSUmcuQbExkWcDAyA43iQwkUadbzhxPk7hQ7LkHaHYYtXLNkZqTSkcU001R+dUZGVlszmDza4eCbdOUqNsPwZFMleGoK1bp6pxoHK1DCdi2Mtf6JdCOrEdHyBVkyqn1eu/35SAt5X0wRKlVCueW1fA1sBgx0wcM/b4gtKV8MlpAS/Ax+A6y4l\"}]}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "ok"
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "name": {
                            "type": "string",
                            "example": "Aren's MacBook"
                          },
                          "key": {
                            "type": "string",
                            "example": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDiMvwph/GSUmcuQbExkWcDAyA43iQwkUadbzhxPk7hQ7LkHaHYYtXLNkZqTSkcU001R+dUZGVlszmDza4eCbdOUqNsPwZFMleGoK1bp6pxoHK1DCdi2Mtf6JdCOrEdHyBVkyqn1eu/35SAt5X0wRKlVCueW1fA1sBgx0wcM/b4gtKV8MlpAS/Ax+A6y4l"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl -H 'Authorization: Token API_KEY' https://api.foxpass.com/v1/users/aren/sshkeys/ "
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```